org.modeshape.jcr.query.xpath

## Class XPath.PathExpression

- java.lang.Object
- - org.modeshape.jcr.query.xpath.XPath.Component
  - - org.modeshape.jcr.query.xpath.XPath.PathExpression

- All Implemented Interfaces:
    Iterable<XPath.StepExpression>
  Enclosing class:
    XPath

      public static class XPath.PathExpression
      extends XPath.Component
      implements Iterable<XPath.StepExpression>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XPath.PathExpression(boolean relative, List<XPath.StepExpression> steps, XPath.OrderBy orderBy)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `XPath.Component` | `collapse()` Return the collapsable form
    `boolean` | `equals(Object obj)`
    `XPath.StepExpression` | `getLastStep()`
    `XPath.OrderBy` | `getOrderBy()` Get the order-by clause.
    `List<XPath.StepExpression>` | `getSteps()`
    `int` | `hashCode()`
    `boolean` | `isRelative()`
    `Iterator<XPath.StepExpression>` | `iterator()`
    `String` | `toString()`
    `XPath.PathExpression` | `withoutFirst()`
    `XPath.PathExpression` | `withoutLast()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XPath.PathExpression

          public XPath.PathExpression(boolean relative,
                              List<XPath.StepExpression> steps,
                              XPath.OrderBy orderBy)

  - ### Method Detail

    - #### isRelative

          public boolean isRelative()

    - #### getOrderBy

          public XPath.OrderBy getOrderBy()

      Get the order-by clause.
      Returns:
        the order-by clause, or null if there is no such clause

    - #### getSteps

          public List<XPath.StepExpression> getSteps()

    - #### getLastStep

          public XPath.StepExpression getLastStep()

    - #### withoutLast

          public XPath.PathExpression withoutLast()

    - #### withoutFirst

          public XPath.PathExpression withoutFirst()

    - #### iterator

          public Iterator<XPath.StepExpression> iterator()

      Specified by:
        `iterator` in interface `Iterable<XPath.StepExpression>`

    - #### collapse

          public XPath.Component collapse()

      Description copied from class: `XPath.Component`
      Return the collapsable form
      Overrides:
        `collapse` in class `XPath.Component`
      Returns:
        the collapsed form of th is component; never null and possibly the same as this

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.